import { getNews } from '~/apis/admin/get-news'
import { handleCookie } from '~/libs/cookies'
import { ContentsPage } from '~/pages/dashboard-contents'

import type { Route } from './+types/_admin.lg-admin._dashboard.contents'

export const loader = async ({ request }: Route.LoaderArgs) => {
  const { staffToken } = await handleCookie(request)
  const { data: newsData } = await getNews({
    accessToken: staffToken,
  })
  return { newsData }
}

const DashboardContentsLayout = () => <ContentsPage />
export default DashboardContentsLayout
